# $Revision: 1.14 $, $Date: 2009/09/25 06:11:41 $
Summary:	libpciaccess library to access PCI bus and devices
Summary(pl.UTF-8):	Biblioteka libpciaccess do dostępu do szyny i urządzeń PCI
Name:		xorg-lib-libpciaccess
Version:	0.10.9
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/archive/individual/lib/libpciaccess-%{version}.tar.bz2
# Source0-md5:	685cb20e7a6165bc010972f1183addbd
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-util-util-macros
# /etc/pci.ids
Requires:	pciutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libpciaccess library provides generic access to the PCI bus and
devices.

%description -l pl.UTF-8
Biblioteka pciaccess daje ogólny dostep do szyny i urządzeń PCI.

%package devel
Summary:	Header files for pciaccess library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki pciaccess
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files needed to develop programs that
use pciaccess library.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki pciaccess.

%package static
Summary:	Static pciaccess library
Summary(pl.UTF-8):	Biblioteka statyczna pciaccess
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static pciaccess library.

%description static -l pl.UTF-8
Pakiet zawiera statyczną bibliotekę pciaccess.

%prep
%setup -q -n libpciaccess-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-pciids-path=/etc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libpciaccess.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpciaccess.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpciaccess.so
%{_libdir}/libpciaccess.la
%{_pkgconfigdir}/pciaccess.pc
%{_includedir}/pciaccess.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libpciaccess.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libpciaccess.spec,v $
Revision 1.14  2009/09/25 06:11:41  arekm
- up to 0.10.9

Revision 1.13  2009/08/31 08:26:08  arekm
- up 0.10.8

Revision 1.12  2009/08/28 01:59:35  arekm
- up to 0.10.7

Revision 1.11  2009/04/25 08:33:29  arekm
- up to 0.10.6

Revision 1.10  2008/10/31 17:47:13  arekm
- up to 0.10.5

Revision 1.9  2008/10/18 07:55:26  arekm
- up to 0.10.4

Revision 1.8  2008/06/10 19:35:23  arekm
- up to 0.10.3

Revision 1.7  2008-05-21 18:09:02  arekm
- up to 0.10.2

Revision 1.6  2008-03-06 21:38:39  qboosh
- ghost soname symlink
- BR: util-macros

Revision 1.5  2008-03-06 20:47:37  arekm
- up to 0.10

Revision 1.4  2007/08/28 15:52:51  qboosh
- descs cleanup

Revision 1.3  2007/08/28 08:04:05  arekm
- up to 0.9.1

Revision 1.2  2007/06/17 16:55:31  qboosh
- informative desc

Revision 1.1  2007/06/12 20:09:30  arekm
- new
